diff --git a/dlls/mfplat/tests/mfplat.c b/dlls/mfplat/tests/mfplat.c
index 8d21f2ed6..20577453f 100644
--- a/dlls/mfplat/tests/mfplat.c
+++ b/dlls/mfplat/tests/mfplat.c
@@ -1593,358 +1592,363 @@ static void test_attributes(void)
     U(propvar).uhVal.QuadPart = 65536;
 
     hr = IMFAttributes_GetItem(attributes, &DUMMY_GUID1, &ret_propvar);
-    ok(hr == S_OK, "Failed to get item, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get item, hr %#x.\n", hr);
     ok(!PropVariantCompareEx(&propvar, &ret_propvar, 0, 0), "Unexpected item value.\n");
     PropVariantClear(&ret_propvar);
     PropVariantClear(&propvar);
 
     /* Item ordering is not consistent across Windows version. */
     hr = IMFAttributes_GetItemByIndex(attributes, 0, &key, &ret_propvar);
-    ok(hr == S_OK, "Failed to get item, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get item, hr %#x.\n", hr);
     PropVariantClear(&ret_propvar);
 
     hr = IMFAttributes_GetItemByIndex(attributes, 100, &key, &ret_propvar);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
     PropVariantClear(&ret_propvar);
 
     hr = IMFAttributes_SetDouble(attributes, &GUID_NULL, 22.0);
-    ok(hr == S_OK, "Failed to set double value, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set double value, hr %#x.\n", hr);
     CHECK_ATTR_COUNT(attributes, 3);
     CHECK_ATTR_TYPE(attributes, &GUID_NULL, MF_ATTRIBUTE_DOUBLE);
 
     double_value = 0xdeadbeef;
     hr = IMFAttributes_GetDouble(attributes, &GUID_NULL, &double_value);
-    ok(hr == S_OK, "Failed to get double value, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get double value, hr %#x.\n", hr);
     ok(double_value == 22.0, "Unexpected value: %f, expected: 22.0.\n", double_value);
 
     propvar.vt = MF_ATTRIBUTE_UINT64;
     U(propvar).uhVal.QuadPart = 22;
     hr = IMFAttributes_CompareItem(attributes, &GUID_NULL, &propvar, &result);
-    ok(hr == S_OK, "Failed to compare items, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare items, hr %#x.\n", hr);
     ok(!result, "Unexpected result.\n");
 
     propvar.vt = MF_ATTRIBUTE_DOUBLE;
     U(propvar).dblVal = 22.0;
     hr = IMFAttributes_CompareItem(attributes, &GUID_NULL, &propvar, &result);
-    ok(hr == S_OK, "Failed to compare items, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare items, hr %#x.\n", hr);
     ok(result, "Unexpected result.\n");
 
     hr = IMFAttributes_SetString(attributes, &DUMMY_GUID1, stringW);
-    ok(hr == S_OK, "Failed to set string attribute, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set string attribute, hr %#x.\n", hr);
     CHECK_ATTR_COUNT(attributes, 3);
     CHECK_ATTR_TYPE(attributes, &DUMMY_GUID1, MF_ATTRIBUTE_STRING);
 
     hr = IMFAttributes_GetStringLength(attributes, &DUMMY_GUID1, &string_length);
-    ok(hr == S_OK, "Failed to get string length, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get string length, hr %#x.\n", hr);
     ok(string_length == lstrlenW(stringW), "Unexpected length %u.\n", string_length);
 
+    hr = IMFAttributes_GetAllocatedString(attributes, &DUMMY_GUID1, &string, NULL);
+    ok(hr == S_OK, "Failed to get allocated string, hr %#lx.\n", hr);
+    ok(!lstrcmpW(string, stringW), "Unexpected string %s.\n", wine_dbgstr_w(string));
+    CoTaskMemFree(string);
+
     string_length = 0xdeadbeef;
     hr = IMFAttributes_GetAllocatedString(attributes, &DUMMY_GUID1, &string, &string_length);
-    ok(hr == S_OK, "Failed to get allocated string, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get allocated string, hr %#x.\n", hr);
     ok(!lstrcmpW(string, stringW), "Unexpected string %s.\n", wine_dbgstr_w(string));
     ok(string_length == lstrlenW(stringW), "Unexpected length %u.\n", string_length);
     CoTaskMemFree(string);
 
     string_length = 0xdeadbeef;
     hr = IMFAttributes_GetString(attributes, &DUMMY_GUID1, bufferW, ARRAY_SIZE(bufferW), &string_length);
-    ok(hr == S_OK, "Failed to get string value, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get string value, hr %#x.\n", hr);
     ok(!lstrcmpW(bufferW, stringW), "Unexpected string %s.\n", wine_dbgstr_w(bufferW));
     ok(string_length == lstrlenW(stringW), "Unexpected length %u.\n", string_length);
     memset(bufferW, 0, sizeof(bufferW));
 
     hr = IMFAttributes_GetString(attributes, &DUMMY_GUID1, bufferW, ARRAY_SIZE(bufferW), NULL);
-    ok(hr == S_OK, "Failed to get string value, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get string value, hr %#x.\n", hr);
     ok(!lstrcmpW(bufferW, stringW), "Unexpected string %s.\n", wine_dbgstr_w(bufferW));
     memset(bufferW, 0, sizeof(bufferW));
 
     string_length = 0;
     hr = IMFAttributes_GetString(attributes, &DUMMY_GUID1, bufferW, 1, &string_length);
-    ok(hr == STRSAFE_E_INSUFFICIENT_BUFFER, "Unexpected hr %#lx.\n", hr);
+    ok(hr == STRSAFE_E_INSUFFICIENT_BUFFER, "Unexpected hr %#x.\n", hr);
     ok(!bufferW[0], "Unexpected string %s.\n", wine_dbgstr_w(bufferW));
     ok(string_length, "Unexpected length.\n");
 
     string_length = 0xdeadbeef;
     hr = IMFAttributes_GetStringLength(attributes, &GUID_NULL, &string_length);
-    ok(hr == MF_E_INVALIDTYPE, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_INVALIDTYPE, "Unexpected hr %#x.\n", hr);
     ok(string_length == 0xdeadbeef, "Unexpected length %u.\n", string_length);
 
     /* VT_UNKNOWN */
     hr = IMFAttributes_SetUnknown(attributes, &DUMMY_GUID2, (IUnknown *)attributes);
-    ok(hr == S_OK, "Failed to set value, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set value, hr %#x.\n", hr);
     CHECK_ATTR_COUNT(attributes, 4);
     CHECK_ATTR_TYPE(attributes, &DUMMY_GUID2, MF_ATTRIBUTE_IUNKNOWN);
 
     hr = IMFAttributes_GetUnknown(attributes, &DUMMY_GUID2, &IID_IUnknown, (void **)&unk_value);
-    ok(hr == S_OK, "Failed to get value, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get value, hr %#x.\n", hr);
     IUnknown_Release(unk_value);
 
     hr = IMFAttributes_GetUnknown(attributes, &DUMMY_GUID2, &IID_IMFAttributes, (void **)&unk_value);
-    ok(hr == S_OK, "Failed to get value, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get value, hr %#x.\n", hr);
     IUnknown_Release(unk_value);
 
     hr = IMFAttributes_GetUnknown(attributes, &DUMMY_GUID2, &IID_IStream, (void **)&unk_value);
-    ok(hr == E_NOINTERFACE, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_NOINTERFACE, "Unexpected hr %#x.\n", hr);
 
     hr = IMFAttributes_SetUnknown(attributes, &DUMMY_CLSID, NULL);
-    ok(hr == S_OK, "Failed to set value, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set value, hr %#x.\n", hr);
     CHECK_ATTR_COUNT(attributes, 5);
 
     unk_value = NULL;
     hr = IMFAttributes_GetUnknown(attributes, &DUMMY_CLSID, &IID_IUnknown, (void **)&unk_value);
-    ok(hr == MF_E_INVALIDTYPE, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_INVALIDTYPE, "Unexpected hr %#x.\n", hr);
 
     /* CopyAllItems() */
     hr = MFCreateAttributes(&attributes1, 0);
-    ok(hr == S_OK, "Failed to create attributes object, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create attributes object, hr %#x.\n", hr);
     hr = IMFAttributes_CopyAllItems(attributes, attributes1);
-    ok(hr == S_OK, "Failed to copy items, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to copy items, hr %#x.\n", hr);
     CHECK_ATTR_COUNT(attributes, 5);
     CHECK_ATTR_COUNT(attributes1, 5);
 
     hr = IMFAttributes_DeleteAllItems(attributes1);
-    ok(hr == S_OK, "Failed to delete items, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to delete items, hr %#x.\n", hr);
     CHECK_ATTR_COUNT(attributes1, 0);
 
     propvar.vt = MF_ATTRIBUTE_UINT64;
     U(propvar).uhVal.QuadPart = 22;
     hr = IMFAttributes_CompareItem(attributes, &GUID_NULL, &propvar, &result);
-    ok(hr == S_OK, "Failed to compare items, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare items, hr %#x.\n", hr);
     ok(!result, "Unexpected result.\n");
 
     hr = IMFAttributes_CopyAllItems(attributes1, attributes);
-    ok(hr == S_OK, "Failed to copy items, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to copy items, hr %#x.\n", hr);
     CHECK_ATTR_COUNT(attributes, 0);
 
     /* Blob */
     hr = IMFAttributes_SetBlob(attributes, &DUMMY_GUID1, blob, sizeof(blob));
-    ok(hr == S_OK, "Failed to set blob attribute, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set blob attribute, hr %#x.\n", hr);
     CHECK_ATTR_COUNT(attributes, 1);
     CHECK_ATTR_TYPE(attributes, &DUMMY_GUID1, MF_ATTRIBUTE_BLOB);
     hr = IMFAttributes_GetBlobSize(attributes, &DUMMY_GUID1, &size);
-    ok(hr == S_OK, "Failed to get blob size, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get blob size, hr %#x.\n", hr);
     ok(size == sizeof(blob), "Unexpected blob size %u.\n", size);
 
     hr = IMFAttributes_GetBlobSize(attributes, &DUMMY_GUID2, &size);
-    ok(hr == MF_E_ATTRIBUTENOTFOUND, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_ATTRIBUTENOTFOUND, "Unexpected hr %#x.\n", hr);
 
     size = 0;
     hr = IMFAttributes_GetBlob(attributes, &DUMMY_GUID1, blob_value, sizeof(blob_value), &size);
-    ok(hr == S_OK, "Failed to get blob, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get blob, hr %#x.\n", hr);
     ok(size == sizeof(blob), "Unexpected blob size %u.\n", size);
     ok(!memcmp(blob_value, blob, size), "Unexpected blob.\n");
 
     hr = IMFAttributes_GetBlob(attributes, &DUMMY_GUID2, blob_value, sizeof(blob_value), &size);
-    ok(hr == MF_E_ATTRIBUTENOTFOUND, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_ATTRIBUTENOTFOUND, "Unexpected hr %#x.\n", hr);
 
     memset(blob_value, 0, sizeof(blob_value));
     size = 0;
     hr = IMFAttributes_GetAllocatedBlob(attributes, &DUMMY_GUID1, &blob_buf, &size);
-    ok(hr == S_OK, "Failed to get allocated blob, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get allocated blob, hr %#x.\n", hr);
     ok(size == sizeof(blob), "Unexpected blob size %u.\n", size);
     ok(!memcmp(blob_buf, blob, size), "Unexpected blob.\n");
     CoTaskMemFree(blob_buf);
 
     hr = IMFAttributes_GetAllocatedBlob(attributes, &DUMMY_GUID2, &blob_buf, &size);
-    ok(hr == MF_E_ATTRIBUTENOTFOUND, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_ATTRIBUTENOTFOUND, "Unexpected hr %#x.\n", hr);
 
     hr = IMFAttributes_GetBlob(attributes, &DUMMY_GUID1, blob_value, sizeof(blob) - 1, NULL);
-    ok(hr == E_NOT_SUFFICIENT_BUFFER, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_NOT_SUFFICIENT_BUFFER, "Unexpected hr %#x.\n", hr);
 
     IMFAttributes_Release(attributes);
     IMFAttributes_Release(attributes1);
 
     /* Compare() */
     hr = MFCreateAttributes(&attributes, 0);
-    ok(hr == S_OK, "Failed to create attributes object, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create attributes object, hr %#x.\n", hr);
     hr = MFCreateAttributes(&attributes1, 0);
-    ok(hr == S_OK, "Failed to create attributes object, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create attributes object, hr %#x.\n", hr);
 
     hr = IMFAttributes_Compare(attributes, attributes, MF_ATTRIBUTES_MATCH_SMALLER + 1, &result);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     for (match_type = MF_ATTRIBUTES_MATCH_OUR_ITEMS; match_type <= MF_ATTRIBUTES_MATCH_SMALLER; ++match_type)
     {
         result = FALSE;
         hr = IMFAttributes_Compare(attributes, attributes, match_type, &result);
-        ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
         ok(result, "Unexpected result %d.\n", result);
 
         result = FALSE;
         hr = IMFAttributes_Compare(attributes, attributes1, match_type, &result);
-        ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
         ok(result, "Unexpected result %d.\n", result);
     }
 
     hr = IMFAttributes_SetUINT32(attributes, &DUMMY_GUID1, 1);
-    ok(hr == S_OK, "Failed to set value, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set value, hr %#x.\n", hr);
 
     result = TRUE;
     hr = IMFAttributes_Compare(attributes, attributes1, MF_ATTRIBUTES_MATCH_OUR_ITEMS, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(!result, "Unexpected result %d.\n", result);
 
     result = TRUE;
     hr = IMFAttributes_Compare(attributes, attributes1, MF_ATTRIBUTES_MATCH_ALL_ITEMS, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(!result, "Unexpected result %d.\n", result);
 
     result = FALSE;
     hr = IMFAttributes_Compare(attributes, attributes1, MF_ATTRIBUTES_MATCH_INTERSECTION, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(result, "Unexpected result %d.\n", result);
 
     result = FALSE;
     hr = IMFAttributes_Compare(attributes, attributes1, MF_ATTRIBUTES_MATCH_SMALLER, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(result, "Unexpected result %d.\n", result);
 
     hr = IMFAttributes_SetUINT32(attributes1, &DUMMY_GUID1, 2);
-    ok(hr == S_OK, "Failed to set value, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set value, hr %#x.\n", hr);
 
     result = TRUE;
     hr = IMFAttributes_Compare(attributes, attributes1, MF_ATTRIBUTES_MATCH_ALL_ITEMS, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(!result, "Unexpected result %d.\n", result);
 
     result = TRUE;
     hr = IMFAttributes_Compare(attributes, attributes1, MF_ATTRIBUTES_MATCH_OUR_ITEMS, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(!result, "Unexpected result %d.\n", result);
 
     result = TRUE;
     hr = IMFAttributes_Compare(attributes, attributes1, MF_ATTRIBUTES_MATCH_THEIR_ITEMS, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(!result, "Unexpected result %d.\n", result);
 
     result = TRUE;
     hr = IMFAttributes_Compare(attributes, attributes1, MF_ATTRIBUTES_MATCH_INTERSECTION, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(!result, "Unexpected result %d.\n", result);
 
     result = TRUE;
     hr = IMFAttributes_Compare(attributes, attributes1, MF_ATTRIBUTES_MATCH_SMALLER, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(!result, "Unexpected result %d.\n", result);
 
     result = TRUE;
     hr = IMFAttributes_Compare(attributes1, attributes, MF_ATTRIBUTES_MATCH_ALL_ITEMS, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(!result, "Unexpected result %d.\n", result);
 
     result = TRUE;
     hr = IMFAttributes_Compare(attributes1, attributes, MF_ATTRIBUTES_MATCH_OUR_ITEMS, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(!result, "Unexpected result %d.\n", result);
 
     result = TRUE;
     hr = IMFAttributes_Compare(attributes1, attributes, MF_ATTRIBUTES_MATCH_THEIR_ITEMS, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(!result, "Unexpected result %d.\n", result);
 
     result = TRUE;
     hr = IMFAttributes_Compare(attributes1, attributes, MF_ATTRIBUTES_MATCH_INTERSECTION, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(!result, "Unexpected result %d.\n", result);
 
     result = TRUE;
     hr = IMFAttributes_Compare(attributes1, attributes, MF_ATTRIBUTES_MATCH_SMALLER, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(!result, "Unexpected result %d.\n", result);
 
     hr = IMFAttributes_SetUINT32(attributes1, &DUMMY_GUID1, 1);
-    ok(hr == S_OK, "Failed to set value, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set value, hr %#x.\n", hr);
 
     result = FALSE;
     hr = IMFAttributes_Compare(attributes, attributes1, MF_ATTRIBUTES_MATCH_ALL_ITEMS, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(result, "Unexpected result %d.\n", result);
 
     result = FALSE;
     hr = IMFAttributes_Compare(attributes, attributes1, MF_ATTRIBUTES_MATCH_THEIR_ITEMS, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(result, "Unexpected result %d.\n", result);
 
     result = FALSE;
     hr = IMFAttributes_Compare(attributes, attributes1, MF_ATTRIBUTES_MATCH_INTERSECTION, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(result, "Unexpected result %d.\n", result);
 
     result = FALSE;
     hr = IMFAttributes_Compare(attributes, attributes1, MF_ATTRIBUTES_MATCH_SMALLER, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(result, "Unexpected result %d.\n", result);
 
     result = FALSE;
     hr = IMFAttributes_Compare(attributes1, attributes, MF_ATTRIBUTES_MATCH_ALL_ITEMS, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(result, "Unexpected result %d.\n", result);
 
     result = FALSE;
     hr = IMFAttributes_Compare(attributes1, attributes, MF_ATTRIBUTES_MATCH_THEIR_ITEMS, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(result, "Unexpected result %d.\n", result);
 
     result = FALSE;
     hr = IMFAttributes_Compare(attributes1, attributes, MF_ATTRIBUTES_MATCH_INTERSECTION, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(result, "Unexpected result %d.\n", result);
 
     result = FALSE;
     hr = IMFAttributes_Compare(attributes1, attributes, MF_ATTRIBUTES_MATCH_SMALLER, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(result, "Unexpected result %d.\n", result);
 
     hr = IMFAttributes_SetUINT32(attributes1, &DUMMY_GUID2, 2);
-    ok(hr == S_OK, "Failed to set value, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set value, hr %#x.\n", hr);
 
     result = TRUE;
     hr = IMFAttributes_Compare(attributes, attributes1, MF_ATTRIBUTES_MATCH_ALL_ITEMS, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(!result, "Unexpected result %d.\n", result);
 
     result = TRUE;
     hr = IMFAttributes_Compare(attributes, attributes1, MF_ATTRIBUTES_MATCH_THEIR_ITEMS, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(!result, "Unexpected result %d.\n", result);
 
     result = FALSE;
     hr = IMFAttributes_Compare(attributes, attributes1, MF_ATTRIBUTES_MATCH_OUR_ITEMS, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(result, "Unexpected result %d.\n", result);
 
     result = FALSE;
     hr = IMFAttributes_Compare(attributes, attributes1, MF_ATTRIBUTES_MATCH_INTERSECTION, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(result, "Unexpected result %d.\n", result);
 
     result = FALSE;
     hr = IMFAttributes_Compare(attributes, attributes1, MF_ATTRIBUTES_MATCH_SMALLER, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(result, "Unexpected result %d.\n", result);
 
     result = TRUE;
     hr = IMFAttributes_Compare(attributes1, attributes, MF_ATTRIBUTES_MATCH_ALL_ITEMS, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(!result, "Unexpected result %d.\n", result);
 
     result = FALSE;
     hr = IMFAttributes_Compare(attributes1, attributes, MF_ATTRIBUTES_MATCH_THEIR_ITEMS, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(result, "Unexpected result %d.\n", result);
 
     result = TRUE;
     hr = IMFAttributes_Compare(attributes1, attributes, MF_ATTRIBUTES_MATCH_OUR_ITEMS, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(!result, "Unexpected result %d.\n", result);
 
     result = FALSE;
     hr = IMFAttributes_Compare(attributes1, attributes, MF_ATTRIBUTES_MATCH_INTERSECTION, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(result, "Unexpected result %d.\n", result);
 
     result = FALSE;
     hr = IMFAttributes_Compare(attributes1, attributes, MF_ATTRIBUTES_MATCH_SMALLER, &result);
-    ok(hr == S_OK, "Failed to compare, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to compare, hr %#x.\n", hr);
     ok(result, "Unexpected result %d.\n", result);
 
     IMFAttributes_Release(attributes);
@@ -1957,11 +1961,10 @@ static void test_MFCreateMFByteStreamOnStream(void)
     IMFByteStream *bytestream2;
     IStream *stream;
     IMFAttributes *attributes = NULL;
-    DWORD caps, written;
+    DWORD caps, written, count;
     IUnknown *unknown;
     ULONG ref, size;
     HRESULT hr;
-    UINT count;
 
     if(!pMFCreateMFByteStreamOnStream)
     {
@@ -1970,34 +1973,34 @@ static void test_MFCreateMFByteStreamOnStream(void)
     }
 
     hr = CreateStreamOnHGlobal(NULL, TRUE, &stream);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
 
     caps = 0xffff0000;
     hr = IStream_Write(stream, &caps, sizeof(caps), &written);
-    ok(hr == S_OK, "Failed to write, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to write, hr %#x.\n", hr);
 
     hr = pMFCreateMFByteStreamOnStream(stream, &bytestream);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
 
     hr = IMFByteStream_QueryInterface(bytestream, &IID_IUnknown,
                                  (void **)&unknown);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
     ok((void *)unknown == (void *)bytestream, "got %p\n", unknown);
     ref = IUnknown_Release(unknown);
-    ok(ref == 1, "got %lu\n", ref);
+    ok(ref == 1, "got %u\n", ref);
 
     hr = IUnknown_QueryInterface(unknown, &IID_IMFByteStream,
                                  (void **)&bytestream2);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
     ok(bytestream2 == bytestream, "got %p\n", bytestream2);
     ref = IMFByteStream_Release(bytestream2);
-    ok(ref == 1, "got %lu\n", ref);
+    ok(ref == 1, "got %u\n", ref);
 
     hr = IMFByteStream_QueryInterface(bytestream, &IID_IMFAttributes,
                                  (void **)&attributes);
     ok(hr == S_OK ||
        /* w7pro64 */
-       broken(hr == E_NOINTERFACE), "Unexpected hr %#lx.\n", hr);
+       broken(hr == E_NOINTERFACE), "got 0x%08x\n", hr);
 
     if (hr != S_OK)
     {
@@ -2009,22 +2012,22 @@ static void test_MFCreateMFByteStreamOnStream(void)
 
     ok(attributes != NULL, "got NULL\n");
     hr = IMFAttributes_GetCount(attributes, &count);
-    ok(hr == S_OK, "Failed to get attributes count, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get attributes count, hr %#x.\n", hr);
     ok(count == 0, "Unexpected attributes count %u.\n", count);
 
     hr = IMFAttributes_QueryInterface(attributes, &IID_IUnknown,
                                  (void **)&unknown);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
     ok((void *)unknown == (void *)bytestream, "got %p\n", unknown);
     ref = IUnknown_Release(unknown);
-    ok(ref == 2, "got %lu\n", ref);
+    ok(ref == 2, "got %u\n", ref);
 
     hr = IMFAttributes_QueryInterface(attributes, &IID_IMFByteStream,
                                  (void **)&bytestream2);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
     ok(bytestream2 == bytestream, "got %p\n", bytestream2);
     ref = IMFByteStream_Release(bytestream2);
-    ok(ref == 2, "got %lu\n", ref);
+    ok(ref == 2, "got %u\n", ref);
 
     check_interface(bytestream, &IID_IMFByteStreamBuffering, FALSE);
     check_interface(bytestream, &IID_IMFByteStreamCacheControl, FALSE);
@@ -2032,22 +2035,22 @@ static void test_MFCreateMFByteStreamOnStream(void)
     check_interface(bytestream, &IID_IMFGetService, FALSE);
 
     hr = IMFByteStream_GetCapabilities(bytestream, &caps);
-    ok(hr == S_OK, "Failed to get stream capabilities, hr %#lx.\n", hr);
-    ok(caps == (MFBYTESTREAM_IS_READABLE | MFBYTESTREAM_IS_SEEKABLE), "Unexpected caps %#lx.\n", caps);
+    ok(hr == S_OK, "Failed to get stream capabilities, hr %#x.\n", hr);
+    ok(caps == (MFBYTESTREAM_IS_READABLE | MFBYTESTREAM_IS_SEEKABLE), "Unexpected caps %#x.\n", caps);
 
     hr = IMFByteStream_Close(bytestream);
-    ok(hr == S_OK, "Failed to close, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to close, hr %#x.\n", hr);
 
     hr = IMFByteStream_Close(bytestream);
-    ok(hr == S_OK, "Failed to close, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to close, hr %#x.\n", hr);
 
     hr = IMFByteStream_GetCapabilities(bytestream, &caps);
-    ok(hr == S_OK, "Failed to get stream capabilities, hr %#lx.\n", hr);
-    ok(caps == (MFBYTESTREAM_IS_READABLE | MFBYTESTREAM_IS_SEEKABLE), "Unexpected caps %#lx.\n", caps);
+    ok(hr == S_OK, "Failed to get stream capabilities, hr %#x.\n", hr);
+    ok(caps == (MFBYTESTREAM_IS_READABLE | MFBYTESTREAM_IS_SEEKABLE), "Unexpected caps %#x.\n", caps);
 
     caps = 0;
     hr = IMFByteStream_Read(bytestream, (BYTE *)&caps, sizeof(caps), &size);
-    ok(hr == S_OK, "Failed to read from stream, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to read from stream, hr %#x.\n", hr);
     ok(caps == 0xffff0000, "Unexpected content.\n");
 
     IMFAttributes_Release(attributes);
@@ -2063,21 +2066,20 @@ static void test_file_stream(void)
     IMFAttributes *attributes = NULL;
     MF_ATTRIBUTE_TYPE item_type;
     WCHAR pathW[MAX_PATH];
+    DWORD caps, count;
     WCHAR *filename;
     HRESULT hr;
     WCHAR *str;
-    DWORD caps;
-    UINT count;
     BOOL eos;
 
     filename = load_resource(L"test.mp4");
 
     hr = MFStartup(MF_VERSION, MFSTARTUP_FULL);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
 
     hr = MFCreateFile(MF_ACCESSMODE_READ, MF_OPENMODE_FAIL_IF_NOT_EXIST,
                       MF_FILEFLAGS_NONE, filename, &bytestream);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
 
     check_interface(bytestream, &IID_IMFByteStreamBuffering, FALSE);
     check_interface(bytestream, &IID_IMFByteStreamCacheControl, FALSE);
